
#ifndef __UTIL_H__
#define __UTIL_H__

#include "hal_auxadc.h"
#include "hal_auxadc_patch.h"

#ifdef __cplusplus
extern "C" {
#endif

uint32_t millis()
{
    int32_t i32_over_flow = 0;
    uint32_t u32_time = 0;
    osKernelSysTickEx(&u32_time, &i32_over_flow);
    return u32_time;
}

int digitalRead(int gpio)
{
    return Hal_Vic_GpioInput(gpio);
}

void digitalWrite(int gpio, int value)
{
    Hal_Vic_GpioOutput(gpio, value);
}

float analogRead(int gpio)
{
    float f_io_voltage;
    g_ubHalAux_Pu_WriteDirect = 1;
    Hal_Aux_AdcCal_Init();
    uint8_t ret_aux = Hal_Aux_IoVoltageGet(gpio, &f_io_voltage);
    g_ubHalAux_Pu_WriteDirect = 0;
    return f_io_voltage;
}

#ifdef __cplusplus
}
#endif

#endif /* __UTIL_H__ */
